Announcements

TeamViewer 14.5 has been released. See the Change Logs here.

Posted by Gamr
Henagon

Is there a way to support someone that has latest version with my older version?

We have a license for Team Viewer version 11.  We are trying to support someone that has team viewer 12.  Is there a way to connect to their system even with the version mismatch?

To be honest, the fact that teamviewer is not backward compatible is a bit annoying.

 

Thanks

1 Accepted Solution

Accepted Solutions
Posted by Former Staff Katharina
Former Staff
Solution

Re: Is there a way to support someone that has latest version with my older version?

Hi Gamr,

Thank you for your post!

TeamViewer is in fact backward compatible: With your licence for TeamViewer 11, you can not only connect to TeamViewer 11 clients, but also to lower versions (TeamViewer 3 until TeamViewer 10).

However, it is not possible to connect to higher versions such as TeamViewer 12. 

If you do not wish to update your licence in order to benefit from the new features of TeamViewer 12, that is no problem. In order to stay compatible with everyone, you can simply set up your own QuickSupport module in version 11. The QuickSupport module is an executable file that you can customise with your company logo, your colours and your own text in order to offer a more personalised customer service. You can then put it on your website or send out the download link by email.

If some of your partners have already installed TeamViewer 12, they would only have to close their TeamViewer client via "Connection > Exit TeamViewer" in order to run your customised QuickSupport module. As your QuickSupport module is in version 11, you will be able to connect without any issues. 

You will find detailed instructions on how to create a QuickSupport module alongside helpful screenshots in our Knowledge Base:

https://community.teamviewer.com/t5/Knowledge-Base/Quick-Support-and-SOS-button/ta-p/3962

If you need a little more assistance, you are of course also welcome to give us a ring. We will be happy to help you with the set-up.

I hope this was helpful. If you have any further questions, please do not hesitate to let me know.

All the best,

Katharina 

Did my reply answer your question? Accept it as a solution to help others, Thanks!
4 Replies
Posted by Former Staff Katharina
Former Staff
Solution

Re: Is there a way to support someone that has latest version with my older version?

Hi Gamr,

Thank you for your post!

TeamViewer is in fact backward compatible: With your licence for TeamViewer 11, you can not only connect to TeamViewer 11 clients, but also to lower versions (TeamViewer 3 until TeamViewer 10).

However, it is not possible to connect to higher versions such as TeamViewer 12. 

If you do not wish to update your licence in order to benefit from the new features of TeamViewer 12, that is no problem. In order to stay compatible with everyone, you can simply set up your own QuickSupport module in version 11. The QuickSupport module is an executable file that you can customise with your company logo, your colours and your own text in order to offer a more personalised customer service. You can then put it on your website or send out the download link by email.

If some of your partners have already installed TeamViewer 12, they would only have to close their TeamViewer client via "Connection > Exit TeamViewer" in order to run your customised QuickSupport module. As your QuickSupport module is in version 11, you will be able to connect without any issues. 

You will find detailed instructions on how to create a QuickSupport module alongside helpful screenshots in our Knowledge Base:

https://community.teamviewer.com/t5/Knowledge-Base/Quick-Support-and-SOS-button/ta-p/3962

If you need a little more assistance, you are of course also welcome to give us a ring. We will be happy to help you with the set-up.

I hope this was helpful. If you have any further questions, please do not hesitate to let me know.

All the best,

Katharina 

Did my reply answer your question? Accept it as a solution to help others, Thanks!
Highlighted
Posted by Gamr
Henagon

Re: Is there a way to support someone that has latest version with my older version?

Thanks for your answer, this is clear now.  I will use the QuickSupport if I ever need to connect with them again.

Best regards,

 

Posted by KarenT
Electron

Re: Is there a way to support someone that has latest version with my older version?

Hi Katharina,

Is it possible to automaticaly quit teamviewer.exe(installed newer version on client machine) when I run QuickSupport.exe?

Posted by RichardES
Photon

Re: Is there a way to support someone that has an older version with my newer version?

My company has a licesed copy of TeamViewer 12, and sends out QuickSupport for all its customers.

I want to use TeamViewer to connect to a private laptop that is not part of the company.

No matter what version of QuickSupport I download for the laptop, I always get the message "Your partner uses a newer version of TeamViewer. Would you like to update TeamViewer now to establish a connection?"

What can I do?